# /home/wrdev/miguel/software/wrsw_rtud/rtu_vd.c File Reference

`#include <stdlib.h>`
`#include "rtu_vd.h"`

## Functions

int | rtu_vd_init ()
| VLAN database initialisation. VLANs are initially marked as disabled.
vlan_table_entry_t * | rtu_vd_read_entry (uint16_t vid)
| Reads VLAN registration entry from VLAN database.
int | rtu_vd_create_entry ()
int | rtu_vd_delete_entry ()

## Variables

vlan_table_entry_t | vlan_tab [MAX_VLANS]

## Function Documentation

int rtu_vd_create_entry | ( | ) |

int rtu_vd_delete_entry | ( | ) |

int rtu_vd_init | ( | ) |

VLAN database initialisation. VLANs are initially marked as disabled.

Returns:
  error code.

vlan_table_entry_t* rtu_vd_read_entry | ( | uint16_t | vid ) |

Reads VLAN registration entry from VLAN database.

Parameters:

  vid | VLAN identifier.

Returns:
  pointer to VLAN registration entry. Returns NULL if vid is greater than or equal to MAX_VLANS.

## Variable Documentation

vlan_table_entry_t vlan_tab[MAX_VLANS]

All Classes Files Functions Variables Defines